Delete Agent Session
curl --request DELETE \
--url https://api.opensink.com/api/v1/agent-sessions/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.opensink.com/api/v1/agent-sessions/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.opensink.com/api/v1/agent-sessions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "running",
"state": {},
"metadata": {},
"error_message": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "Unauthorized"
}{
"error": "Insufficient permissions"
}{
"error": "Not found"
}Agent Session
Delete Agent Session
Delete a session
Required scope: agent_sessions:write, agent_sessions:all, or all:all
DELETE
/
api
/
v1
/
agent-sessions
/
{id}
Delete Agent Session
Authorizations
API key authentication
Path Parameters
Agent Session ID
Response
An agent execution session
An agent execution session
Unique identifier
Parent agent ID
Workspace ID
Session status
Available options:
running, waiting_for_input, processing_input, completed, failed Session state data
Session metadata
Error message if session failed
Creation timestamp
Last update timestamp

